## btusb-dkms 1.0-maverick-mactel4

=== Makefile ===
NAME	= btusb
VERSION	= 1.0
SRC	= usr/src
DKMSSRC	= $(SRC)/dkms_source_tree

TARBALL	= $(NAME)-$(VERSION).dkms.tar.gz
PATCH	= ./scripts/patch-name-version.sh $(NAME) $(VERSION)

all:	$(SRC)/$(TARBALL)

$(SRC)/$(TARBALL): $(DKMSSRC)/$(NAME).c
	(cd $(SRC); tar cvfz $(TARBALL) dkms*)

clean:
	rm -f $(SRC)/$(TARBALL)

distclean: clean
	rm -rf *-stamp debian/$(NAME)-dkms debian/*.log debian/files

install: $(SRC)/$(TARBALL)
	install -d "$(DESTDIR)/$(SRC)"
	(cd $(SRC); install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(DESTDIR)/$(SRC)")

bump:
	uname -r > $(DKMSSRC)/KERNEL_SOURCE_VERSION
	$(PATCH) debian/postinst
	$(PATCH) debian/postrm
	$(PATCH) debian/prerm
	$(PATCH) debian/rules
	$(PATCH) debian/postinst
	$(PATCH) $(DKMSSRC)/dkms.conf
	chmod 0755 debian/rules

=== debian/changelog ===
btusb-dkms (1.0-maverick-mactel4) maverick; urgency=low

  * Add support for MacBookPro 6,2

 -- Michael Frey <michael.frey@canonical.com>  Tue, 09 Nov 2010 16:09:15 -0500

btusb-dkms (1.0-maverick-mactel3) maverick; urgency=low

  * Add support for MacBookPro 7,2

 -- Michael Frey <michael.frey@canonical.com>  Thu, 04 Nov 2010 15:20:12 -0400

btusb-dkms (1.0-maverick-mactel2) maverick; urgency=low

  * Fix Makefile

 -- Michael Frey <michael.frey@canonical.com>  Thu, 04 Nov 2010 14:15:34 -0400

btusb-dkms (1.0-maverick-mactel1) maverick; urgency=low

  * Add support for MacBookAir 3

 -- Michael Frey <michael.frey@canonical.com>  Thu, 04 Nov 2010 14:34:04 +0100

=== debian/control ===
Source: btusb-dkms
Section: misc
Priority: optional
Maintainer: Michael Frey <michael.frey@canonical.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Homepage: 

Package: btusb-dkms
Architecture: all
Depends: dkms (>= 1.95), bash (>> 1.99)
Conflicts: 
Description: Supplementary btusb support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

NAME=btusb
VERSION=1.0.6

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
